Saved queries
Delete a saved query
Delete a saved query permanently, along with its matches and runs.
DELETE/v1/saved-queries/{id}
0credits
Headers
Get your API keyx-api-keystringheader
API key (`sfk_...`)
Parameters
1
idstringrequiredpath
The saved query's id.
min 1 chars
Response fields
7
Endpoint-specific response payload.
data deleted
boolean
Always true when the saved query was deleted.
one of: true
data id
string
The deleted saved query's id.
Metadata describing the request and billing outcome.
meta requestId
string
Unique request identifier for tracing this API call.
min 1 chars
meta creditsCharged
integer
Credits charged for this request.
≥ 0
meta version
string
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/saved-queries/abc123" \
-H "x-api-key: YOUR_API_KEY" \
-X DELETEResponses
The saved query was deleted, along with its matches and runs.